<?xml version="1.0" encoding="UTF-8"?>


<!--        XSLT for transforming XML source content to HTML               -->
<!--        for product documentation in MSHelp2 for VS2005.               -->
<!--    (c) 2004-2007 FarPoint Technologies, Inc. All rights reserved.     -->

<!--          These are variables used throughout the file.                -->
<!DOCTYPE names [
   <!ENTITY bookname '<A HREF="spwin-devguide.html">Developer&#8217;s Guide</A> &#160;'>
   <!ENTITY booknamecover 'Developer&#8217;s Guide &#160;'>
   <!ENTITY prodname 'FarPoint Spread for Windows Forms '>
   <!ENTITY prodversn '3.0 for VS 2005 '>
   <!ENTITY copydate '&#169; 2002-2007 '>
   <!ENTITY subjline 'FarPoint Spread for Windows Forms 3.0 VS2005 Doc. [Dev.Guide]'>
]>


<!--     This part is necessary for running Saxon         -->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:saxon="http://icl.com/saxon"
  extension-element-prefixes="saxon">

<xsl:output omit-xml-declaration="yes"/>


<!--   Begin the transformation rules (declarations)       -->
	<xsl:template match='/'>
		<xsl:apply-templates/>
	</xsl:template>


<!--   This is the part that chops up each topic element    -->
<!--    (TopicGroup in my DTD) into separate HTML pages     -->
<!--    and the HTML that follows appears in each file      -->

<xsl:template match="TopicGroup">
   <saxon:output method="html"
	    		 href="{@Id}.html"
	    		 indent="yes">
		
	<html xmlns:MSHelp="http://msdn.microsoft.com/mshelp">
	    <head>
			<title><xsl:value-of select="Title"/> - &booknamecover;- &prodname;&prodversn; </title>
			<xml>
				<MSHelp:Keyword Index="F" Term="{Title}" />
				<MSHelp:TOCTitle Title="{Title}" />
				<MSHelp:RLTitle Title="{Title}" />
				<MSHelp:Attr Name="Author" Value="FarPoint" />
				<MSHelp:Attr Name="Date" Value="2007-06" />
				<MSHelp:Attr Name="DevLang" Value="CSharp" />
				<MSHelp:Attr Name="DevLang" Value="VB" />
				<MSHelp:Attr Name="HelpPriority" Value="2" />
				<MSHelp:Attr Name="Locale" Value="kbEnglish" />
				<MSHelp:Attr Name="LinkGroup" Value="Help" />
				<MSHelp:Attr Name="Product" Value="kbFPSpreadWinForms" />
				<MSHelp:Attr Name="ProductVers" Value="kbFPSpWin3.0.2001.2005.a" />
				<MSHelp:Attr Name="Source" Value="Documentation" />
				<MSHelp:Attr Name="Status" Value="New" />
				<MSHelp:Attr Name="TargetCPU" Value="Pentium" />
				<MSHelp:Attr Name="TargetOS" Value="Web" />
				<MSHelp:Attr Name="TargetOSVers" Value="kbWeb" />
				<MSHelp:Attr Name="Technology" Value="ASP.NET" />
				<MSHelp:Attr Name="TechnologyVers" Value="kb.ASP.NET" />
				<MSHelp:Attr Name="TopicType" Value="kbReference" />
				<MSHelp:Attr Name="DocSet" Value="FarPoint" />
			</xml>
			<link rel="stylesheet" type="text/css" href="stylesheets/dotnet2005.css" />
			<script src="script/dotnet2005.js" />
	    </head>
	    <body id="dxBody" topmargin="0">
			<input type="hidden" id="userDataCache" class="userDataStyle" NAME="userDataCache"></input>
			<input type="hidden" id="hiddenScrollOffset" NAME="hiddenScrollOffset"></input>
			<img id="collapseImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="collapseAllImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandAllImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="dropDownImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown.gif"/>
			<img id="dropDownHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown_orange.gif"/>
			<img id="copyImage" style="display:none; height:0; width:0;" src="dotnetimages/copycode.gif"/>
			<img id="copyHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/copycodeHighlight.gif"/>      
			<div id="pagetop">
				<table width="100%" id="pagetoptable1">
			  	<tr id="pagetoptable1row1">
				<td align="left">
					<span id="projecttitle">&prodname;&prodversn;</span>
				</td>
				<td align="right">
					<span id="projecttitle">&bookname; </span>
				</td>
			  	</tr>
			  	<tr id="pagetoptable1row2">
				<td align="left" colspan="2">
					<span id="pagetitle"><xsl:value-of select="Title"/></span>
				</td>
			  	</tr>
				</table>	
			</div>
			<div id="pagebody" valign="bottom">
				<div id="mainbody">
					<xsl:apply-templates/>
				</div>
				<div id="footer">
					<p> &#160; </p>
					<p> &#160; </p>
					<hr size="1" />
					<table CLASS="end" CELLSPACING="0">
					<tr>
			  			<td>
			  				<P>&prodname;&prodversn;</P>
			  				<P>&copydate;  <A HREF="fp-contact.html">FarPoint Technologies, Inc.</A> &#160; <A HREF="spwin-legal.html">All rights reserved.</A></P>
			  			</td>
			  			<td><A HREF="mailto:&#102;&#112;&#100;&#111;&#099;&#115;&#064;&#102;&#097;&#114;&#112;&#111;&#105;&#110;&#116;&#115;&#112;&#114;&#101;&#097;&#100;&#046;&#099;&#111;&#109;?subject=&subjline;-{Title}"><I>Send doc. comments.</I></A></td>
					</tr>
					</table>
				</div>
			</div>
	    </body>
	</html>
   </saxon:output>
</xsl:template>


<!--      and repeat that section for each element            -->
<!--      that breaks out into a separate HTML page.          -->

<xsl:template match="ConceptGroup">
   <saxon:output method="html"
	    		 href="{@Id}.html"
	    		 indent="yes">
		
	<html xmlns:MSHelp="http://msdn.microsoft.com/mshelp">
	    <head>
			<title><xsl:value-of select="Title"/> - &booknamecover;- &prodname;&prodversn; </title>
			<xml>
				<MSHelp:Keyword Index="F" Term="{Title}" />
				<MSHelp:TOCTitle Title="{Title}" />
				<MSHelp:RLTitle Title="{Title}" />
				<MSHelp:Attr Name="Author" Value="FarPoint" />
				<MSHelp:Attr Name="Date" Value="2007-06" />
				<MSHelp:Attr Name="DevLang" Value="CSharp" />
				<MSHelp:Attr Name="DevLang" Value="VB" />
				<MSHelp:Attr Name="HelpPriority" Value="2" />
				<MSHelp:Attr Name="Locale" Value="kbEnglish" />
				<MSHelp:Attr Name="LinkGroup" Value="Help" />
				<MSHelp:Attr Name="Product" Value="kbFPSpreadWinForms" />
				<MSHelp:Attr Name="ProductVers" Value="kbFPSpWin3.0.2001.2005.a" />
				<MSHelp:Attr Name="Source" Value="Documentation" />
				<MSHelp:Attr Name="Status" Value="New" />
				<MSHelp:Attr Name="TargetCPU" Value="Pentium" />
				<MSHelp:Attr Name="TargetOS" Value="Web" />
				<MSHelp:Attr Name="TargetOSVers" Value="kbWeb" />
				<MSHelp:Attr Name="Technology" Value="ASP.NET" />
				<MSHelp:Attr Name="TechnologyVers" Value="kb.ASP.NET" />
				<MSHelp:Attr Name="TopicType" Value="kbReference" />
				<MSHelp:Attr Name="DocSet" Value="FarPoint" />
			</xml>
			<link rel="stylesheet" type="text/css" href="stylesheets/dotnet2005.css" />
			<script src="script/dotnet2005.js" />
	    </head>
	    <body id="dxBody" topmargin="0">
			<input type="hidden" id="userDataCache" class="userDataStyle" NAME="userDataCache"></input>
			<input type="hidden" id="hiddenScrollOffset" NAME="hiddenScrollOffset"></input>
			<img id="collapseImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="collapseAllImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandAllImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="dropDownImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown.gif"/>
			<img id="dropDownHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown_orange.gif"/>
			<img id="copyImage" style="display:none; height:0; width:0;" src="dotnetimages/copycode.gif"/>
			<img id="copyHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/copycodeHighlight.gif"/>      
			<div id="pagetop">
				<table width="100%" id="pagetoptable1">
			  	<tr id="pagetoptable1row1">
				<td align="left">
					<span id="projecttitle">&prodname;&prodversn;</span>
				</td>
				<td align="right">
					<span id="projecttitle">&bookname; </span>
				</td>
			  	</tr>
			  	<tr id="pagetoptable1row2">
				<td align="left" colspan="2">
					<span id="pagetitle"><xsl:value-of select="Title"/></span>
				</td>
			  	</tr>
				</table>	
			</div>
			<div id="pagebody" valign="bottom">
				<div id="mainbody">
					<xsl:apply-templates/>
				</div>
				<div id="footer">
					<p> &#160; </p>
					<p> &#160; </p>
					<hr size="1" />
					<table CLASS="end" CELLSPACING="0">
					<tr>
			  			<td>
			  				<P>&prodname;&prodversn;</P>
			  				<P>&copydate;  <A HREF="fp-contact.html">FarPoint Technologies, Inc.</A> &#160; <A HREF="spwin-legal.html">All rights reserved.</A></P>
			  			</td>
			  			<td><A HREF="mailto:&#102;&#112;&#100;&#111;&#099;&#115;&#064;&#102;&#097;&#114;&#112;&#111;&#105;&#110;&#116;&#115;&#112;&#114;&#101;&#097;&#100;&#046;&#099;&#111;&#109;?subject=&subjline;-{Title}"><I>Send doc. comments.</I></A></td>
					</tr>
					</table>
				</div>
			</div>
	    </body>
	</html>
   </saxon:output>
</xsl:template>

<xsl:template match="TaskGroup">
   <saxon:output method="html"
	    		 href="{@Id}.html"
	    		 indent="yes">
		
	<html xmlns:MSHelp="http://msdn.microsoft.com/mshelp">
	    <head>
			<title><xsl:value-of select="Title"/> - &booknamecover;- &prodname;&prodversn; </title>
			<xml>
				<MSHelp:Keyword Index="F" Term="{Title}" />
				<MSHelp:TOCTitle Title="{Title}" />
				<MSHelp:RLTitle Title="{Title}" />
				<MSHelp:Attr Name="Author" Value="FarPoint" />
				<MSHelp:Attr Name="Date" Value="2007-06" />
				<MSHelp:Attr Name="DevLang" Value="CSharp" />
				<MSHelp:Attr Name="DevLang" Value="VB" />
				<MSHelp:Attr Name="HelpPriority" Value="2" />
				<MSHelp:Attr Name="Locale" Value="kbEnglish" />
				<MSHelp:Attr Name="LinkGroup" Value="Help" />
				<MSHelp:Attr Name="Product" Value="kbFPSpreadWinForms" />
				<MSHelp:Attr Name="ProductVers" Value="kbFPSpWin3.0.2001.2005.a" />
				<MSHelp:Attr Name="Source" Value="Documentation" />
				<MSHelp:Attr Name="Status" Value="New" />
				<MSHelp:Attr Name="TargetCPU" Value="Pentium" />
				<MSHelp:Attr Name="TargetOS" Value="Web" />
				<MSHelp:Attr Name="TargetOSVers" Value="kbWeb" />
				<MSHelp:Attr Name="Technology" Value="ASP.NET" />
				<MSHelp:Attr Name="TechnologyVers" Value="kb.ASP.NET" />
				<MSHelp:Attr Name="TopicType" Value="kbReference" />
				<MSHelp:Attr Name="DocSet" Value="FarPoint" />
			</xml>
			<link rel="stylesheet" type="text/css" href="stylesheets/dotnet2005.css" />
			<script src="script/dotnet2005.js" />
	    </head>
	    <body id="dxBody" topmargin="0">
			<input type="hidden" id="userDataCache" class="userDataStyle" NAME="userDataCache"></input>
			<input type="hidden" id="hiddenScrollOffset" NAME="hiddenScrollOffset"></input>
			<img id="collapseImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="collapseAllImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandAllImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="dropDownImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown.gif"/>
			<img id="dropDownHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown_orange.gif"/>
			<img id="copyImage" style="display:none; height:0; width:0;" src="dotnetimages/copycode.gif"/>
			<img id="copyHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/copycodeHighlight.gif"/>      
			<div id="pagetop">
				<table width="100%" id="pagetoptable1">
			  	<tr id="pagetoptable1row1">
				<td align="left">
					<span id="projecttitle">&prodname;&prodversn;</span>
				</td>
				<td align="right">
					<span id="projecttitle">&bookname; </span>
				</td>
			  	</tr>
			  	<tr id="pagetoptable1row2">
				<td align="left" colspan="2">
					<span id="pagetitle"><xsl:value-of select="Title"/></span>
				</td>
			  	</tr>
				</table>	
			</div>
			<div id="pagebody" valign="bottom">
				<div id="mainbody">
					<xsl:apply-templates/>
				</div>
				<div id="footer">
					<p> &#160; </p>
					<p> &#160; </p>
					<hr size="1" />
					<table CLASS="end" CELLSPACING="0">
					<tr>
			  			<td>
			  				<P>&prodname;&prodversn;</P>
			  				<P>&copydate;  <A HREF="fp-contact.html">FarPoint Technologies, Inc.</A> &#160; <A HREF="spwin-legal.html">All rights reserved.</A></P>
			  			</td>
			  			<td><A HREF="mailto:&#102;&#112;&#100;&#111;&#099;&#115;&#064;&#102;&#097;&#114;&#112;&#111;&#105;&#110;&#116;&#115;&#112;&#114;&#101;&#097;&#100;&#046;&#099;&#111;&#109;?subject=&subjline;-{Title}"><I>Send doc. comments.</I></A></td>
					</tr>
					</table>
				</div>
			</div>
	    </body>
	</html>
   </saxon:output>
</xsl:template>

<xsl:template match="ConceptTopic">
   <saxon:output method="html"
	    		 href="{@Id}.html"
	    		 indent="yes">
		
	<html xmlns:MSHelp="http://msdn.microsoft.com/mshelp">
	    <head>
			<title><xsl:value-of select="Title"/> - &booknamecover;- &prodname;&prodversn; </title>
			<xml>
				<MSHelp:Keyword Index="F" Term="{Title}" />
				<MSHelp:TOCTitle Title="{Title}" />
				<MSHelp:RLTitle Title="{Title}" />
				<MSHelp:Attr Name="Author" Value="FarPoint" />
				<MSHelp:Attr Name="Date" Value="2007-06" />
				<MSHelp:Attr Name="DevLang" Value="CSharp" />
				<MSHelp:Attr Name="DevLang" Value="VB" />
				<MSHelp:Attr Name="HelpPriority" Value="2" />
				<MSHelp:Attr Name="Locale" Value="kbEnglish" />
				<MSHelp:Attr Name="LinkGroup" Value="Help" />
				<MSHelp:Attr Name="Product" Value="kbFPSpreadWinForms" />
				<MSHelp:Attr Name="ProductVers" Value="kbFPSpWin3.0.2001.2005.a" />
				<MSHelp:Attr Name="Source" Value="Documentation" />
				<MSHelp:Attr Name="Status" Value="New" />
				<MSHelp:Attr Name="TargetCPU" Value="Pentium" />
				<MSHelp:Attr Name="TargetOS" Value="Web" />
				<MSHelp:Attr Name="TargetOSVers" Value="kbWeb" />
				<MSHelp:Attr Name="Technology" Value="ASP.NET" />
				<MSHelp:Attr Name="TechnologyVers" Value="kb.ASP.NET" />
				<MSHelp:Attr Name="TopicType" Value="kbReference" />
				<MSHelp:Attr Name="DocSet" Value="FarPoint" />
			</xml>
			<link rel="stylesheet" type="text/css" href="stylesheets/dotnet2005.css" />
			<script src="script/dotnet2005.js" />
	    </head>
	    <body id="dxBody" topmargin="0">
			<input type="hidden" id="userDataCache" class="userDataStyle" NAME="userDataCache"></input>
			<input type="hidden" id="hiddenScrollOffset" NAME="hiddenScrollOffset"></input>
			<img id="collapseImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="collapseAllImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandAllImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="dropDownImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown.gif"/>
			<img id="dropDownHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown_orange.gif"/>
			<img id="copyImage" style="display:none; height:0; width:0;" src="dotnetimages/copycode.gif"/>
			<img id="copyHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/copycodeHighlight.gif"/>      
			<div id="pagetop">
				<table width="100%" id="pagetoptable1">
			  	<tr id="pagetoptable1row1">
				<td align="left">
					<span id="projecttitle">&prodname;&prodversn;</span>
				</td>
				<td align="right">
					<span id="projecttitle">&bookname; </span>
				</td>
			  	</tr>
			  	<tr id="pagetoptable1row2">
				<td align="left" colspan="2">
					<span id="pagetitle"><xsl:value-of select="Title"/></span>
				</td>
			  	</tr>
				</table>	
			</div>
			<div id="pagebody" valign="bottom">
				<div id="mainbody">
					<xsl:apply-templates/>
				</div>
				<div id="footer">
					<p> &#160; </p>
					<p> &#160; </p>
					<hr size="1" />
					<table CLASS="end" CELLSPACING="0">
					<tr>
			  			<td>
			  				<P>&prodname;&prodversn;</P>
			  				<P>&copydate;  <A HREF="fp-contact.html">FarPoint Technologies, Inc.</A> &#160; <A HREF="spwin-legal.html">All rights reserved.</A></P>
			  			</td>
			  			<td><A HREF="mailto:&#102;&#112;&#100;&#111;&#099;&#115;&#064;&#102;&#097;&#114;&#112;&#111;&#105;&#110;&#116;&#115;&#112;&#114;&#101;&#097;&#100;&#046;&#099;&#111;&#109;?subject=&subjline;-{Title}"><I>Send doc. comments.</I></A></td>
					</tr>
					</table>
				</div>
			</div>
	    </body>
	</html>
   </saxon:output>
</xsl:template>

<xsl:template match="TaskTopic">
   <saxon:output method="html"
	    		 href="{@Id}.html"
	    		 indent="yes">
		
	<html xmlns:MSHelp="http://msdn.microsoft.com/mshelp">
	    <head>
			<title><xsl:value-of select="Title"/> - &booknamecover;- &prodname;&prodversn; </title>
			<xml>
				<MSHelp:Keyword Index="F" Term="{Title}" />
				<MSHelp:TOCTitle Title="{Title}" />
				<MSHelp:RLTitle Title="{Title}" />
				<MSHelp:Attr Name="Author" Value="FarPoint" />
				<MSHelp:Attr Name="Date" Value="2007-06" />
				<MSHelp:Attr Name="DevLang" Value="CSharp" />
				<MSHelp:Attr Name="DevLang" Value="VB" />
				<MSHelp:Attr Name="HelpPriority" Value="2" />
				<MSHelp:Attr Name="Locale" Value="kbEnglish" />
				<MSHelp:Attr Name="LinkGroup" Value="Help" />
				<MSHelp:Attr Name="Product" Value="kbFPSpreadWinForms" />
				<MSHelp:Attr Name="ProductVers" Value="kbFPSpWin3.0.2001.2005.a" />
				<MSHelp:Attr Name="Source" Value="Documentation" />
				<MSHelp:Attr Name="Status" Value="New" />
				<MSHelp:Attr Name="TargetCPU" Value="Pentium" />
				<MSHelp:Attr Name="TargetOS" Value="Web" />
				<MSHelp:Attr Name="TargetOSVers" Value="kbWeb" />
				<MSHelp:Attr Name="Technology" Value="ASP.NET" />
				<MSHelp:Attr Name="TechnologyVers" Value="kb.ASP.NET" />
				<MSHelp:Attr Name="TopicType" Value="kbReference" />
				<MSHelp:Attr Name="DocSet" Value="FarPoint" />
			</xml>
			<link rel="stylesheet" type="text/css" href="stylesheets/dotnet2005.css" />
			<script src="script/dotnet2005.js" />
	    </head>
	    <body id="dxBody" topmargin="0">
			<input type="hidden" id="userDataCache" class="userDataStyle" NAME="userDataCache"></input>
			<input type="hidden" id="hiddenScrollOffset" NAME="hiddenScrollOffset"></input>
			<img id="collapseImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="collapseAllImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandAllImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="dropDownImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown.gif"/>
			<img id="dropDownHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown_orange.gif"/>
			<img id="copyImage" style="display:none; height:0; width:0;" src="dotnetimages/copycode.gif"/>
			<img id="copyHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/copycodeHighlight.gif"/>      
			<div id="pagetop">
				<table width="100%" id="pagetoptable1">
			  	<tr id="pagetoptable1row1">
				<td align="left">
					<span id="projecttitle">&prodname;&prodversn;</span>
				</td>
				<td align="right">
					<span id="projecttitle">&bookname; </span>
				</td>
			  	</tr>
			  	<tr id="pagetoptable1row2">
				<td align="left" colspan="2">
					<span id="pagetitle"><xsl:value-of select="Title"/></span>
				</td>
			  	</tr>
				</table>	
			</div>
			<div id="pagebody" valign="bottom">
				<div id="mainbody">
					<xsl:apply-templates/>
				</div>
				<div id="footer">
					<p> &#160; </p>
					<p> &#160; </p>
					<hr size="1" />
					<table CLASS="end" CELLSPACING="0">
					<tr>
			  			<td>
			  				<P>&prodname;&prodversn;</P>
			  				<P>&copydate;  <A HREF="fp-contact.html">FarPoint Technologies, Inc.</A> &#160; <A HREF="spwin-legal.html">All rights reserved.</A></P>
			  			</td>
			  			<td><A HREF="mailto:&#102;&#112;&#100;&#111;&#099;&#115;&#064;&#102;&#097;&#114;&#112;&#111;&#105;&#110;&#116;&#115;&#112;&#114;&#101;&#097;&#100;&#046;&#099;&#111;&#109;?subject=&subjline;-{Title}"><I>Send doc. comments.</I></A></td>
					</tr>
					</table>
				</div>
			</div>
	    </body>
	</html>
   </saxon:output>
</xsl:template>

<xsl:template match="FrontCover">
   <saxon:output method="html"
	    		 href="{@Id}.html"
	    		 indent="yes">
		
	<html xmlns:MSHelp="http://msdn.microsoft.com/mshelp">
	    <head>
			<title><xsl:value-of select="Title"/> - &booknamecover;- &prodname;&prodversn; </title>
			<xml>
				<MSHelp:Keyword Index="F" Term="{Title}" />
				<MSHelp:TOCTitle Title="{Title}" />
				<MSHelp:RLTitle Title="{Title}" />
				<MSHelp:Attr Name="Author" Value="FarPoint" />
				<MSHelp:Attr Name="Date" Value="2007-06" />
				<MSHelp:Attr Name="DevLang" Value="CSharp" />
				<MSHelp:Attr Name="DevLang" Value="VB" />
				<MSHelp:Attr Name="HelpPriority" Value="2" />
				<MSHelp:Attr Name="Locale" Value="kbEnglish" />
				<MSHelp:Attr Name="LinkGroup" Value="Help" />
				<MSHelp:Attr Name="Product" Value="kbFPSpreadWinForms" />
				<MSHelp:Attr Name="ProductVers" Value="kbFPSpWin3.0.2001.2005.a" />
				<MSHelp:Attr Name="Source" Value="Documentation" />
				<MSHelp:Attr Name="Status" Value="New" />
				<MSHelp:Attr Name="TargetCPU" Value="Pentium" />
				<MSHelp:Attr Name="TargetOS" Value="Web" />
				<MSHelp:Attr Name="TargetOSVers" Value="kbWeb" />
				<MSHelp:Attr Name="Technology" Value="ASP.NET" />
				<MSHelp:Attr Name="TechnologyVers" Value="kb.ASP.NET" />
				<MSHelp:Attr Name="TopicType" Value="kbReference" />
				<MSHelp:Attr Name="DocSet" Value="FarPoint" />
			</xml>
			<link rel="stylesheet" type="text/css" href="stylesheets/dotnet2005.css" />
			<script src="script/dotnet2005.js" />
	    </head>
	    <body id="dxBody" topmargin="0">
			<input type="hidden" id="userDataCache" class="userDataStyle" NAME="userDataCache"></input>
			<input type="hidden" id="hiddenScrollOffset" NAME="hiddenScrollOffset"></input>
			<img id="collapseImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="collapseAllImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandAllImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="dropDownImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown.gif"/>
			<img id="dropDownHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown_orange.gif"/>
			<img id="copyImage" style="display:none; height:0; width:0;" src="dotnetimages/copycode.gif"/>
			<img id="copyHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/copycodeHighlight.gif"/>      
			<div id="pagetop">
				<table width="100%" id="pagetoptable1">
			  	<tr id="pagetoptable1row1">
				<td align="left">
					<span id="projecttitle">&prodname;&prodversn;</span>
				</td>
				<td align="right">
					<span id="projecttitle">&bookname; </span>
				</td>
			  	</tr>
			  	<tr id="pagetoptable1row2">
				<td align="left" colspan="2">
					<span id="pagetitle"><xsl:value-of select="Title"/></span>
				</td>
			  	</tr>
				</table>	
			</div>
			<div id="pagebody" valign="bottom">
				<div id="mainbody">
					<xsl:apply-templates/>
				</div>
				<div id="footer">
					<p> &#160; </p>
					<p> &#160; </p>
					<hr size="1" />
					<table CLASS="end" CELLSPACING="0">
					<tr>
			  			<td>
			  				<P>&prodname;&prodversn;</P>
			  				<P>&copydate;  <A HREF="fp-contact.html">FarPoint Technologies, Inc.</A> &#160; <A HREF="spwin-legal.html">All rights reserved.</A></P>
			  			</td>
			  			<td><A HREF="mailto:&#102;&#112;&#100;&#111;&#099;&#115;&#064;&#102;&#097;&#114;&#112;&#111;&#105;&#110;&#116;&#115;&#112;&#114;&#101;&#097;&#100;&#046;&#099;&#111;&#109;?subject=&subjline;-{Title}"><I>Send doc. comments.</I></A></td>
					</tr>
					</table>
				</div>
			</div>
	    </body>
	</html>
   </saxon:output>
</xsl:template>

<xsl:template match="LegalTopic">
   <saxon:output method="html"
	    		 href="{@Id}.html"
	    		 indent="yes">
		
	<html xmlns:MSHelp="http://msdn.microsoft.com/mshelp">
	    <head>
			<title><xsl:value-of select="Title"/> - &booknamecover;- &prodname;&prodversn; </title>
			<xml>
				<MSHelp:Keyword Index="F" Term="{Title}" />
				<MSHelp:TOCTitle Title="{Title}" />
				<MSHelp:RLTitle Title="{Title}" />
				<MSHelp:Attr Name="Author" Value="FarPoint" />
				<MSHelp:Attr Name="Date" Value="2007-06" />
				<MSHelp:Attr Name="DevLang" Value="CSharp" />
				<MSHelp:Attr Name="DevLang" Value="VB" />
				<MSHelp:Attr Name="HelpPriority" Value="2" />
				<MSHelp:Attr Name="Locale" Value="kbEnglish" />
				<MSHelp:Attr Name="LinkGroup" Value="Help" />
				<MSHelp:Attr Name="Product" Value="kbFPSpreadWinForms" />
				<MSHelp:Attr Name="ProductVers" Value="kbFPSpWin3.0.2001.2005.a" />
				<MSHelp:Attr Name="Source" Value="Documentation" />
				<MSHelp:Attr Name="Status" Value="New" />
				<MSHelp:Attr Name="TargetCPU" Value="Pentium" />
				<MSHelp:Attr Name="TargetOS" Value="Web" />
				<MSHelp:Attr Name="TargetOSVers" Value="kbWeb" />
				<MSHelp:Attr Name="Technology" Value="ASP.NET" />
				<MSHelp:Attr Name="TechnologyVers" Value="kb.ASP.NET" />
				<MSHelp:Attr Name="TopicType" Value="kbReference" />
				<MSHelp:Attr Name="DocSet" Value="FarPoint" />
			</xml>
			<link rel="stylesheet" type="text/css" href="stylesheets/dotnet2005.css" />
			<script src="script/dotnet2005.js" />
	    </head>
	    <body id="dxBody" topmargin="0">
			<input type="hidden" id="userDataCache" class="userDataStyle" NAME="userDataCache"></input>
			<input type="hidden" id="hiddenScrollOffset" NAME="hiddenScrollOffset"></input>
			<img id="collapseImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="collapseAllImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandAllImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="dropDownImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown.gif"/>
			<img id="dropDownHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown_orange.gif"/>
			<img id="copyImage" style="display:none; height:0; width:0;" src="dotnetimages/copycode.gif"/>
			<img id="copyHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/copycodeHighlight.gif"/>      
			<div id="pagetop">
				<table width="100%" id="pagetoptable1">
			  	<tr id="pagetoptable1row1">
				<td align="left">
					<span id="projecttitle">&prodname;&prodversn;</span>
				</td>
				<td align="right">
					<span id="projecttitle">&bookname; </span>
				</td>
			  	</tr>
			  	<tr id="pagetoptable1row2">
				<td align="left" colspan="2">
					<span id="pagetitle"><xsl:value-of select="Title"/></span>
				</td>
			  	</tr>
				</table>	
			</div>
			<div id="pagebody" valign="bottom">
				<div id="mainbody">
					<xsl:apply-templates/>
				</div>
				<div id="footer">
					<p> &#160; </p>
					<p> &#160; </p>
					<hr size="1" />
					<table CLASS="end" CELLSPACING="0">
					<tr>
			  			<td>
			  				<P>&prodname;&prodversn;</P>
			  				<P>&copydate;  <A HREF="fp-contact.html">FarPoint Technologies, Inc.</A> &#160; <A HREF="spwin-legal.html">All rights reserved.</A></P>
			  			</td>
			  			<td><A HREF="mailto:&#102;&#112;&#100;&#111;&#099;&#115;&#064;&#102;&#097;&#114;&#112;&#111;&#105;&#110;&#116;&#115;&#112;&#114;&#101;&#097;&#100;&#046;&#099;&#111;&#109;?subject=&subjline;-{Title}"><I>Send doc. comments.</I></A></td>
					</tr>
					</table>
				</div>
			</div>
	    </body>
	</html>
   </saxon:output>
</xsl:template>

<xsl:template match="Front">
   <saxon:output method="html"
	    		 href="{@Id}.html"
	    		 indent="yes">
		
	<html xmlns:MSHelp="http://msdn.microsoft.com/mshelp">
	    <head>
			<title><xsl:value-of select="Title"/> - &booknamecover;- &prodname;&prodversn; </title>
			<xml>
				<MSHelp:Keyword Index="F" Term="{Title}" />
				<MSHelp:TOCTitle Title="{Title}" />
				<MSHelp:RLTitle Title="{Title}" />
				<MSHelp:Attr Name="Author" Value="FarPoint" />
				<MSHelp:Attr Name="Date" Value="2007-06" />
				<MSHelp:Attr Name="DevLang" Value="CSharp" />
				<MSHelp:Attr Name="DevLang" Value="VB" />
				<MSHelp:Attr Name="HelpPriority" Value="2" />
				<MSHelp:Attr Name="Locale" Value="kbEnglish" />
				<MSHelp:Attr Name="LinkGroup" Value="Help" />
				<MSHelp:Attr Name="Product" Value="kbFPSpreadWinForms" />
				<MSHelp:Attr Name="ProductVers" Value="kbFPSpWin3.0.2001.2005.a" />
				<MSHelp:Attr Name="Source" Value="Documentation" />
				<MSHelp:Attr Name="Status" Value="New" />
				<MSHelp:Attr Name="TargetCPU" Value="Pentium" />
				<MSHelp:Attr Name="TargetOS" Value="Web" />
				<MSHelp:Attr Name="TargetOSVers" Value="kbWeb" />
				<MSHelp:Attr Name="Technology" Value="ASP.NET" />
				<MSHelp:Attr Name="TechnologyVers" Value="kb.ASP.NET" />
				<MSHelp:Attr Name="TopicType" Value="kbReference" />
				<MSHelp:Attr Name="DocSet" Value="FarPoint" />
			</xml>
			<link rel="stylesheet" type="text/css" href="stylesheets/dotnet2005.css" />
			<script src="script/dotnet2005.js" />
	    </head>
	    <body id="dxBody" topmargin="0">
			<input type="hidden" id="userDataCache" class="userDataStyle" NAME="userDataCache"></input>
			<input type="hidden" id="hiddenScrollOffset" NAME="hiddenScrollOffset"></input>
			<img id="collapseImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="collapseAllImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandAllImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="dropDownImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown.gif"/>
			<img id="dropDownHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown_orange.gif"/>
			<img id="copyImage" style="display:none; height:0; width:0;" src="dotnetimages/copycode.gif"/>
			<img id="copyHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/copycodeHighlight.gif"/>      
			<div id="pagetop">
				<table width="100%" id="pagetoptable1">
			  	<tr id="pagetoptable1row1">
				<td align="left">
					<span id="projecttitle">&prodname;&prodversn;</span>
				</td>
				<td align="right">
					<span id="projecttitle">&bookname; </span>
				</td>
			  	</tr>
			  	<tr id="pagetoptable1row2">
				<td align="left" colspan="2">
					<span id="pagetitle"><xsl:value-of select="Title"/></span>
				</td>
			  	</tr>
				</table>	
			</div>
			<div id="pagebody" valign="bottom">
				<div id="mainbody">
					<xsl:apply-templates/>
				</div>
				<div id="footer">
					<p> &#160; </p>
					<p> &#160; </p>
					<hr size="1" />
					<table CLASS="end" CELLSPACING="0">
					<tr>
			  			<td>
			  				<P>&prodname;&prodversn;</P>
			  				<P>&copydate;  <A HREF="fp-contact.html">FarPoint Technologies, Inc.</A> &#160; <A HREF="spwin-legal.html">All rights reserved.</A></P>
			  			</td>
			  			<td><A HREF="mailto:&#102;&#112;&#100;&#111;&#099;&#115;&#064;&#102;&#097;&#114;&#112;&#111;&#105;&#110;&#116;&#115;&#112;&#114;&#101;&#097;&#100;&#046;&#099;&#111;&#109;?subject=&subjline;-{Title}"><I>Send doc. comments.</I></A></td>
					</tr>
					</table>
				</div>
			</div>
	    </body>
	</html>
   </saxon:output>
</xsl:template>

<xsl:template match="Tutorial">
   <saxon:output method="html"
	    		 href="{@Id}.html"
	    		 indent="yes">
		
	<html xmlns:MSHelp="http://msdn.microsoft.com/mshelp">
	    <head>
			<title><xsl:value-of select="Title"/> - &booknamecover;- &prodname;&prodversn; </title>
			<xml>
				<MSHelp:Keyword Index="F" Term="{Title}" />
				<MSHelp:TOCTitle Title="{Title}" />
				<MSHelp:RLTitle Title="{Title}" />
				<MSHelp:Attr Name="Author" Value="FarPoint" />
				<MSHelp:Attr Name="Date" Value="2007-06" />
				<MSHelp:Attr Name="DevLang" Value="CSharp" />
				<MSHelp:Attr Name="DevLang" Value="VB" />
				<MSHelp:Attr Name="HelpPriority" Value="2" />
				<MSHelp:Attr Name="Locale" Value="kbEnglish" />
				<MSHelp:Attr Name="LinkGroup" Value="Help" />
				<MSHelp:Attr Name="Product" Value="kbFPSpreadWinForms" />
				<MSHelp:Attr Name="ProductVers" Value="kbFPSpWin3.0.2001.2005.a" />
				<MSHelp:Attr Name="Source" Value="Documentation" />
				<MSHelp:Attr Name="Status" Value="New" />
				<MSHelp:Attr Name="TargetCPU" Value="Pentium" />
				<MSHelp:Attr Name="TargetOS" Value="Web" />
				<MSHelp:Attr Name="TargetOSVers" Value="kbWeb" />
				<MSHelp:Attr Name="Technology" Value="ASP.NET" />
				<MSHelp:Attr Name="TechnologyVers" Value="kb.ASP.NET" />
				<MSHelp:Attr Name="TopicType" Value="kbReference" />
				<MSHelp:Attr Name="DocSet" Value="FarPoint" />
			</xml>
			<link rel="stylesheet" type="text/css" href="stylesheets/dotnet2005.css" />
			<script src="script/dotnet2005.js" />
	    </head>
	    <body id="dxBody" topmargin="0">
			<input type="hidden" id="userDataCache" class="userDataStyle" NAME="userDataCache"></input>
			<input type="hidden" id="hiddenScrollOffset" NAME="hiddenScrollOffset"></input>
			<img id="collapseImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="collapseAllImage" style="display:none; height:0; width:0;" src="dotnetimages/collapse.gif"/>
			<img id="expandAllImage" style="display:none; height:0; width:0;" src="dotnetimages/expand.gif"/>
			<img id="dropDownImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown.gif"/>
			<img id="dropDownHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/drpdown_orange.gif"/>
			<img id="copyImage" style="display:none; height:0; width:0;" src="dotnetimages/copycode.gif"/>
			<img id="copyHoverImage" style="display:none; height:0; width:0;" src="dotnetimages/copycodeHighlight.gif"/>      
			<div id="pagetop">
				<table width="100%" id="pagetoptable1">
			  	<tr id="pagetoptable1row1">
				<td align="left">
					<span id="projecttitle">&prodname;&prodversn;</span>
				</td>
				<td align="right">
					<span id="projecttitle">&bookname; </span>
				</td>
			  	</tr>
			  	<tr id="pagetoptable1row2">
				<td align="left" colspan="2">
					<span id="pagetitle"><xsl:value-of select="Title"/></span>
				</td>
			  	</tr>
				</table>	
			</div>
			<div id="pagebody" valign="bottom">
				<div id="mainbody">
					<xsl:apply-templates/>
				</div>
				<div id="footer">
					<p> &#160; </p>
					<p> &#160; </p>
					<hr size="1" />
					<table CLASS="end" CELLSPACING="0">
					<tr>
			  			<td>
			  				<P>&prodname;&prodversn;</P>
			  				<P>&copydate;  <A HREF="fp-contact.html">FarPoint Technologies, Inc.</A> &#160; <A HREF="spwin-legal.html">All rights reserved.</A></P>
			  			</td>
			  			<td><A HREF="mailto:&#102;&#112;&#100;&#111;&#099;&#115;&#064;&#102;&#097;&#114;&#112;&#111;&#105;&#110;&#116;&#115;&#112;&#114;&#101;&#097;&#100;&#046;&#099;&#111;&#109;?subject=&subjline;-{Title}"><I>Send doc. comments.</I></A></td>
					</tr>
					</table>
				</div>
			</div>
	    </body>
	</html>
   </saxon:output>
</xsl:template>



<!--      These are the rules for the other elements      -->
<!--      that appear inside a topic, inside a file.      -->

<xsl:template match="TopicGroup/Title"/>
<xsl:template match="TaskGroup/Title"/>
<xsl:template match="ConceptGroup/Title"/>
<xsl:template match="TaskTopic/Title"/>
<xsl:template match="ConceptTopic/Title"/>
<xsl:template match="FrontCover/Title"/>
<xsl:template match="LegalTopic/Title"/>
<xsl:template match="Front/Title"/>
<xsl:template match="Tutorial/Title"/>
<xsl:template match="Summary/Title"/>

<xsl:template match="Summary">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="Concept">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="SubTopic">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="SubTopic/Title">
	<H4 class="dxh4">
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<xsl:template match="Transit">
	<p>
		<xsl:apply-templates/>
	</p>
</xsl:template>

<xsl:template match="Para">
	<p>
		<xsl:apply-templates/>
	</p>
</xsl:template>

<xsl:template match="ContinuedItem">
	<p>
		<xsl:apply-templates/>
	</p>
</xsl:template>

<xsl:template match="SingleItem">
	<p>
		<xsl:apply-templates/>
	</p>
</xsl:template>

<xsl:template match="Note">
	<p><b>Note: </b>
		<xsl:apply-templates/>
	</p>
</xsl:template>

<xsl:template match="Type">
	<H4 class="dxh4">
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<xsl:template match="LegalSubTopic/Title">
	<H4 class="dxh4">
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<xsl:template match="LegalSubTopic/Para">
	<p>
		<xsl:apply-templates/>
	</p>
</xsl:template>

<xsl:template match="Steps">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="Variable">
     <em><xsl:apply-templates/></em>
</xsl:template>


<!-- For cross references, grab the IDRef to create       -->
<!-- the destination and grab the Title of the element    -->
<!-- that contains the IDRef as the link text.            -->

<xsl:template match="CrossRef">
		<xsl:element name="A">
		<xsl:attribute name="HREF"><xsl:value-of select="./@Idref"/>.html</xsl:attribute>
		<xsl:value-of select="//*[@Id=current()/@Idref]/Title"/>
		</xsl:element>
</xsl:template>


<!--  For the graphic, use the ID as the source file name -->
<!--  after appending ".PNG", and include any of the      -->
<!--  optional parameters, Alternate Text, Height, Width  -->
<!--  as attributes in the IMG element in HTML.           -->

<xsl:template match="Figure">
	<p>
		<xsl:apply-templates/>
	</p>
</xsl:template>

<xsl:template match="Graphic">
		<xsl:element name="img">
		
		<xsl:attribute name="src"><xsl:value-of select="./@Id"/>.png</xsl:attribute>

		<xsl:if test="./@AltText">
		<xsl:attribute name="alt"><xsl:value-of select="./@AltText"/></xsl:attribute>
		</xsl:if>

		<xsl:if test="./@Height">
		<xsl:attribute name="height"><xsl:value-of select="./@Height"/></xsl:attribute>
		</xsl:if>

		<xsl:if test="./@Width">
		<xsl:attribute name="width"><xsl:value-of select="./@Width"/></xsl:attribute>
		</xsl:if>

		</xsl:element>
</xsl:template>


<!--  For lists, wrap the list items in HTML tags (LI)     -->
<!--  for ordered lists (OL) or unsequenced lists (UL).    -->

<xsl:template match="OL">
	<ol>
		<xsl:apply-templates/>
	</ol>
</xsl:template>

<xsl:template match="ListItem">
	<li>
		<xsl:apply-templates/>
	</li>
</xsl:template>

<xsl:template match="UL">
	<ul>
		<xsl:apply-templates/>
	</ul>
</xsl:template>

<!--  For example snippet code, wrap the code in      -->
<!--  spans as necessary with the needed HTML tags.   -->      

<xsl:template match="Example">
	<DIV class="LanguageSpecific">
                 <UL>
		<xsl:apply-templates/>
	   </UL>
	</DIV>
</xsl:template>

<xsl:template match="Example/Title">
	<H4 class="dxh4">
		<xsl:apply-templates/>
	</H4>
</xsl:template>

<xsl:template match="CodeSnippet/Language">
	<p><SPAN class="lang">
		[<xsl:apply-templates/>]
	</SPAN></p>
</xsl:template>

<xsl:template match="Command">
	<p class="example">
		<xsl:apply-templates/>
	</p>
</xsl:template>


<!--    For a table, create each row and each cell.     -->

<xsl:template match="Table">
	<table class="list">
	<xsl:for-each select="TableHeading">
	<xsl:for-each select="TableRow">
	<tr>
	<xsl:for-each select="TableCell">
			<th>
				<xsl:apply-templates/>
			</th>
	</xsl:for-each>	
	</tr>
	</xsl:for-each>
	</xsl:for-each>

	<xsl:for-each select="TableBody">
	<xsl:for-each select="TableRow">
	<tr>
	<xsl:for-each select="TableCell">
			<td>
				<xsl:apply-templates/>
			</td>
	</xsl:for-each>	
	</tr>
	</xsl:for-each>
	</xsl:for-each>

	</table>
</xsl:template>

<!--        End of the transformation rules (declarations).        -->

</xsl:stylesheet>

<!--                   End of the file.                           -->

